/*
 * variables
 */
 :root {
    /* color */
    --orange: #F97304;
    --orange-washout: #EDB88C;
    --grey: #333;
    --grey-washout: #EDEDED;
    --blue: #37586B;
    --blue-washout: #94DFFA;

    /* sizing */
    --padding: 16px;

    /* breakpoint */
    --sm: 576px;
    --md: 768px;
    --lg: 992px;
}  

/*
 * sections
 */
section {
    width: 100vw;
    display: inline-block;
    padding: 100px 0;
}

/*
 * explore section
 */
.section-explore {
    background: url('./assets/Home_Background_01_small.png');
    background-size: contain;
    background-position-y: top;
    background-repeat: no-repeat;
}
.section-explore .container {
    padding-top: 55px;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.section-explore .container > img {
    max-width: max-content;
}
.section-explore .container h1 {
    color: white;
    font-size: 3.7em;
    text-align: center;
    font-weight: 400;
    margin: 100px 0;
}
.section-explore .division-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 100px;
}
.section-explore .division-container .division-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background-color: white;
    padding: calc(2 * var(--padding));
    border-radius: var(--padding);
    margin-bottom: calc(2 * var(--padding));
    box-shadow: 0 var(--padding) calc(2 * var(--padding)) var(--orange-washout);
}
.section-explore .division-container .division-item img {
    width: 200px;
    height: 200px;
    object-fit: contain;
}
.section-explore .division-container .division-item .name {
    color: var(--orange);
    font-weight: 700;
    font-size: 24px;
    margin-bottom: var(--padding);
}
.section-explore .division-container .division-item .link {
    color: var(--grey);
    font-weight: 700;
    text-decoration: none;
    margin-top: calc(2   * var(--padding));
}
.section-explore .ilustration-container,
.section-explore .ilustration-container .ilustration-item {
    position: relative;
    display: flex;
    flex-direction: column;
    margin: 50px 0;
}
.section-explore .ilustration-container .ilustration-item:first-child {
    text-align: left;
}
.section-explore .ilustration-container .ilustration-item:last-child {
    text-align: right;
}
.section-explore .ilustration-container .ilustration-item img {
    width: 100%;
    object-fit: contain;
}
.section-explore .ilustration-container .ilustration-item .title {
    color: var(--blue);
    font-size: 2em;
    font-weight: 700;
    margin-bottom: var(--padding);
}
.section-explore .ilustration-container .ilustration-item .subtitle {
    color: var(--grey);
    font-size: 1.5em;
}
@media (min-width: 768px) {
    .section-explore {
        background-image: url('./assets/Home_Background_01.png');
    }
    .section-explore .container > img {
        position: absolute;
        left: 0;
        top: 0;
    }
    .section-explore .container h1 {
        margin: 50px 0;
    }
    .section-explore .division-container {
        flex-direction: row;
    }
    .section-explore .division-container .division-item {
        margin-right: calc(var(--padding) * 2);
    }
    .section-explore .division-container .division-item:last-child {
        margin-right: 0;
    }
    .section-explore .division-container .division-item img {
        width: 100px;
        height: 100px;
    }
    .section-explore .ilustration-container {
        flex-direction: row;
        align-items: center;
        background-image: url('./assets/Plus_Grey_Element_01.png');
        background-repeat: no-repeat;
        background-position: top center;
    }
    .section-explore .ilustration-container .ilustration-item {
        flex: 1;
    }
    .section-explore .ilustration-container .ilustration-item .title {
        position: relative;
    }
    .section-explore .ilustration-container .ilustration-item .title:before {
        background-size: 100px;
        background-repeat: no-repeat;
        width: 100px;
        height: 100px;
        display: block;
        content: '';
        object-fit: cover;
        position: absolute;
        z-index: -1;
    }
    .section-explore .ilustration-container .ilustration-item:first-child {
        padding-right: calc(var(--padding) * 2);
    }
    .section-explore .ilustration-container .ilustration-item:first-child .title:before {
        left: calc(-1 * var(--padding));
        top: calc(var(--padding) - 50px);
        background-image: url('./assets/Dot_Element_01.png');
    }
    .section-explore .ilustration-container .ilustration-item:last-child {
        padding-left: calc(var(--padding) * 2);
    }
    .section-explore .ilustration-container .ilustration-item:last-child .title:before {
        right: calc(-1 * var(--padding));
        top: calc(var(--padding) - 50px);
        background-image: url('./assets/Dot_Element_02.png');
    }
}
@media (min-width: 992px) {
    .section-explore .division-container .division-item {
        flex: 1;
        margin-right: calc(var(--padding) * 4);
    }
    .section-explore .division-container .division-item img {
        width: 150px;
        height: 150px;
    }
    .section-explore .ilustration-container .ilustration-item .title {
        font-size: 2.8em;
    }
}
@media (min-width: 1280px) {
    .section-explore .ilustration-container {
        margin: 150px 0;
    }
    .section-explore .ilustration-container:nth-child(even):before {
        content: '';
        position: absolute;
        top: -75%;
        right: calc(calc(100vw - 960px) / -1);
        background-image: url('./assets/Line_Element_01.png');
        background-size: contain;
        width: 419px;
        height: 558px;
        z-index: -1;
    }
    .section-explore .ilustration-container:nth-child(odd):before {
        content: '';
        position: absolute;
        top: -50%;
        left: calc(calc(100vw - 960px) / -2);
        background-image: url('./assets/Line_Element_02.png');
        width: 300px;
        height: 624px;
        z-index: -1;
    }
    .section-explore .ilustration-container:nth-child(odd):after {
        content: '';
        position: absolute;
        bottom: -208px;
        right: calc(calc(100vw - 960px) / -2);
        background-image: url('./assets/Line_Element_03.png');
        width: 200px;
        height: 416px;
        z-index: -1;
    }
    .section-explore .ilustration-container .ilustration-item .title:before {
        background-size: 150px;
        width: 150px;
        height: 150px;
    }
    .section-explore .ilustration-container .ilustration-item:first-child .title:before {
        left: -75px;
        top: -50px;
    }
    .section-explore .ilustration-container .ilustration-item:last-child .title:before {
        right: -75px;
        top: -50px;
    }
}

/*
 * posting section
 */
.section-posting {
    background: url('./assets/Home_Background_02.png');
    background-size: cover;
    background-color: var(--blue-washout);
    background-position-y: top;
    background-repeat: no-repeat;
    padding-top: 0;
}
.section-posting .posting-filters {
    position: relative;
}
.section-posting .posting-filters .posting-filters-container {
    background-color: white;
    padding: calc(2 * var(--padding));
    border-radius: var(--padding);
    box-shadow: 0 0 var(--padding) var(--blue-washout);
}
.section-posting .posting-filters .row .col > span {
    font-size: 2.5em;
    font-weight: 700;
}
.section-posting .posting-filters .row .col > button {
    background: none;
    border: none;
    font-family: inherit;
    font-weight: 700;
    font-size: 1.1em;
    color: var(--grey);
    padding: 0;
    margin: calc(var(--padding) * 2) 0;
}
.section-posting .posting-filters .row .col > select {
    background-color: var(--grey-washout);
    background-image: url('./assets/Dropdown_Filter_Bar_Box.png');
    background-size: 20px;
    background-repeat: no-repeat;
    background-position-x: calc(100% - 16px);
    background-position-y: center;
    padding: var(--padding) calc(var(--padding) * 2);
    border-radius: var(--padding);
    width: 100%;
    margin-bottom: calc(var(--padding) * 2);
    border: none;
    outline: none;
    -moz-appearance:none;
    -webkit-appearance:none;
    appearance:none;
    font-family: inherit;
}
.section-posting .posting-list {
    display: flex;
    flex-direction: column;
    margin: 100px 0;
}
.section-posting .posting-list .posting-item {
    background-color: white;
    padding: calc(2 * var(--padding));
    border-radius: var(--padding);
    margin-bottom: calc(2 * var(--padding));
}
.section-posting .posting-list .posting-item .posting-position {
    display: flex;
    flex-direction: column;
    flex: 1;
}
.section-posting .posting-list .posting-item .posting-position .posting-team {
    color: var(--blue);
    font-weight: 700;
}
.section-posting .posting-list .posting-item .posting-position .posting-text {
    color: var(--grey);
    font-size: 1.5em;
    font-weight: 600;
    margin-bottom: var(--padding);
}
.section-posting .posting-list .posting-item .posting-location {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: var(--padding);
    flex: 0.5;
}
.section-posting .posting-list .posting-item .posting-location img {
    width: calc(var(--padding) * 2);
    height: calc(var(--padding) * 2);
    margin-right: calc(var(--padding) / 2);
    object-fit: contain;
}
.section-posting .posting-list .posting-item .posting-location span {
    color: var(--grey);
    font-size: 1.2em;
}
.section-posting .posting-list .posting-item .posting-apply a {
    padding: var(--padding) calc(2 * var(--padding));
    background-color: var(--blue-washout);
    display: inline-block;
    border-radius: var(--padding);
    color: white;
    font-weight: 700;
    text-decoration: none;
}
.section-posting .office-container {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    color: white;
    text-align: right;
}
.section-posting .office-container .office-meta {
    display: flex;
    flex-direction: column;
}
.section-posting .office-container .office-meta .title {
    font-size: 2.5em;
    font-weight: 700;
    margin-bottom: calc(2 * var(--padding));
}
.section-posting .office-container .office-meta .subtitle {
    font-size: 1.5em;
    margin-bottom: calc(2 * var(--padding));
}
.section-posting .office-container img {
    width: 100%;
    object-fit: contain;
}
@media (min-width: 576px) {
    .section-posting .posting-filters .row {
        display: flex;
        flex-direction: row;
        align-items: center;
    }
    .section-posting .posting-filters .col {
        display: flex;
        flex-direction: column;
        flex: 1;
    }
    .section-posting .posting-filters .row:first-child .col {
        flex: unset;
    }
    .section-posting .posting-filters .row:first-child {
        justify-content: space-between;
    }
    .section-posting .posting-filters .row .col > select {
        margin: 0 var(--padding) calc(2 * var(--padding)) var(--padding);
        width: calc(100% - var(--padding));
    }
    .section-posting .posting-filters .row .col:first-child > select {
        margin-left: 0;
    }
    .section-posting .posting-filters .row .col:last-child > select {
        margin-right: 0;
    }
    .section-posting .posting-list .posting-item {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
    }
    .section-posting .posting-list .posting-item .posting-location {
        margin: 0 var(--padding);
    }
    .section-posting .office-container .office-meta {
        width: 50%;
    }
}
@media (min-width: 1280px) {
    .section-posting .posting-filters::before {
        position: absolute;
        content: '';
        background-image: url('./assets/Dot_Element_06.png');
        background-size: 150px;
        background-repeat: no-repeat;
        width: 150px;
        height: 150px;
        bottom: -75px;
        left: -75px;
    }
    .section-posting .posting-filters::after {
        position: absolute;
        content: '';
        background-image: url('./assets/Dot_Element_03.png');
        background-size: 150px;
        background-repeat: no-repeat;
        width: 150px;
        height: 150px;
        top: -75px;
        right: -75px;
    }
    .section-posting .posting-filters .posting-filters-container {
        z-index: 2;
        position: relative;
    }
    .section-posting .office-container {
        position: relative;
    }
    .section-posting .office-container::before {
        position: absolute;
        content: '';
        background-image: url('./assets/Dot_Element_02.png');
        background-size: 150px;
        background-repeat: no-repeat;
        width: 150px;
        height: 150px;
        top: -100px;
        left: -75px;
        opacity: 50%;
    }
    .section-posting .office-container img {
        margin-top: -200px
    }
    .section-posting .office-container .office-meta {
        position: relative;
    }
    .section-posting .office-container .office-meta::after {
        position: absolute;
        content: '';
        background-image: url('./assets/Dot_Element_06.png');
        background-size: 150px;
        background-repeat: no-repeat;
        width: 150px;
        height: 150px;
        bottom: -300px;
        right: 0;
    }
}

/*
 * footer section
 */
.section-footer {
    background-color: white;
}
.section-footer .row, 
.section-footer .col {
    display: flex;
    flex-direction: column;
}
.section-footer .col:nth-child(2) .row {
    flex-direction: row;
}
.section-footer .big-footer {
    color: var(--orange);
    font-size: 3em;
    font-weight: 700;
}
.section-footer a {
    margin: var(--padding);
}
.section-footer a:first-child {
    margin-left: 0;
}
.section-footer a:last-child {
    margin-right: 0;
}
.section-footer .copyright {
    margin: calc(var(--padding) * 2) 0;
}
@media (min-width: 576px) {
    .section-footer .row {
        flex-direction: row;
    }
    .section-footer .col {
        flex: 1;
    }
    .section-footer .col:nth-child(2) {
        align-items: flex-end;
        justify-content: flex-end;
    }
}

/*
 *
 */
.container {
    width: calc(100vw - calc(4 * var(--padding)));
    margin: 0 auto;
    position: relative;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

/*
 * typography
 */
strong {
    font-weight: 900;
}